Bug 9101 - Add REPORT_GROUP to authorised values sample data
Summary: Add REPORT_GROUP to authorised values sample data
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Paul Poulain
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-17 19:39 UTC by Katrin Fischer
Modified: 2013-05-23 06:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9101: Add REPORT_GROUP to sample data (2.95 KB, patch)
2012-11-17 19:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9101: Add REPORT_GROUP to sample data (2.95 KB, patch)
2012-11-17 19:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9101: Add REPORT_GROUP to sample data (3.01 KB, patch)
2012-11-21 15:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9101: Add REPORT_GROUP to sample data (3.31 KB, patch)
2012-12-11 18:24 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-11-17 19:39:39 UTC
In 3.10 there is a new feature to group and subgroup reports. In order to make this easier to use we should add some REPORT_GROUP values to the sample data.

I took the modules from the updatedatabase script:
$dbh->do("INSERT INTO authorised_values (category, authorised_value, lib) VALUES
              ('REPORT_GROUP', 'CIRC', 'Circulation'),
              ('REPORT_GROUP', 'CAT', 'Catalog'),
              ('REPORT_GROUP', 'PAT', 'Patrons'),
              ('REPORT_GROUP', 'ACQ', 'Acquisitions'),
              ('REPORT_GROUP', 'ACC', 'Accounts');");
Comment 1 Katrin Fischer 2012-11-17 19:47:58 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-11-17 19:49:21 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-11-21 15:38:28 UTC Comment hidden (obsolete)
Comment 4 Paul Poulain 2012-12-11 18:24:03 UTC
Created attachment 14007 [details] [review]
Bug 9101: Add REPORT_GROUP to sample data

To test:
Option 1) Run the English and German web installer and check authorised values
have been added correctly.

Option 2) Run SQL code from auth_val.sql for German and English against your
database and check the authorised values have been added correctly.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 5 Paul Poulain 2012-12-11 18:25:36 UTC
QA comment:
  * tiny patch, only changes something during installation
  * I've fixed a conflict problem in german file, and tested the file can be loaded

passed QA
Comment 6 Jared Camins-Esakov 2012-12-12 12:42:01 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2012-12-12 20:13:30 UTC
Pushed to 3.10.x, will be in 3.10.1